// This work is licensed under the Creative Commons Attribution-ShareAlike 4.0
// International Public License.
// Visit https://creativecommons.org/licenses/by-sa/4.0/.
// SPDX-License-Identifier: CC-BY-SA-4.0
//     yuqk pavement_00.pov +w1200 +h900  (quick and ugly)
//     yuqk pavement_00.pov +w1200 +h900 +a0.05 +am2 +r3 +j5.33 +d +p
#version unofficial 3.8; // yuqk
#if (file_exists("version.inc"))
    #include "version.inc"
#end
#if (!defined(Fork_yuqk))
    #error "This POV-Ray SDL code requires the yuqk fork."
#end
global_settings { assumed_gamma 1 }
#declare Grey50 = srgb <0.5,0.5,0.5>;
background { Grey50 }
#declare Camera00 = camera {
    perspective
    location <4,4,-4.001>
    sky y
    angle 35
    right x*(image_width/image_height)
    look_at <0,0,0>
}
#declare VarOrthoMult =
    2.0/max(image_width/image_height,image_height/image_width);
#declare Camera01y = camera {
    orthographic
    location <0,2,0>
    direction -y
    right VarOrthoMult*x*max(1,image_width/image_height)
    up VarOrthoMult*z*max(1,image_height/image_width)
}
#declare White = srgb <1,1,1>;
#declare Light00 = light_source { <50,150,-250>, White }
#declare Plane00 = plane { y, 0 }
#declare Red = srgb <1,0,0>;
#declare CylinderX = cylinder { -1*x, 1*x, 0.01 pigment { Red } }
#declare Green = srgb <0,1,0>;
#declare CylinderY = cylinder { -1*y, 1*y, 0.01 pigment { Green } }
#declare Blue = srgb <0,0,1>;
#declare CylinderZ = cylinder { -1*z, 1*z, 0.01 pigment { Blue } }
#declare PigPave = pigment {
    pavement 
    cubic_wave phase 0.0 frequency 2
}
#declare TxrPave = texture { pigment { PigPave } }
#declare Obj00 = object { Plane00 texture { TxrPave } }
#include "functions.inc"
// Function f_planar defined in functions.inc
#declare Fn00 = function {
    pattern { pavement
number_of_sides 3
number_of_tiles 1
pattern         1
exterior        0
interior        0
form            0
   cubic_wave
// cubic_wave phase 0 poly_wave 3 frequency 1
warp { turbulence 0.3 octaves 3 omega 0.6 lambda 1.67 }
}
}
#declare Fn01 = function (x,y,z) {
    f_planar(y-(Fn00(x,y,z)*0.05),0.02,1)
}
#declare AmericanRose = srgb <1,0.01176,0.24314>;
#declare Black = srgb <0,0,0>;
#declare AmericanGreen = srgb <0.20392,0.70196,0.20392>;
#declare AmericanViolet = srgb <0.33333,0.10588,0.54902>;
#declare ColorMap = color_map {
    [     0 AmericanRose ]
    [ 0.099 AmericanRose ]
    [   0.1 Black ]
    [  0.13 AmericanGreen ]
    [  0.15 Black ]
    [ 0.151 AmericanRose ]
    [ 0.899 AmericanRose ]
    [   0.9 Black ]
    [  0.93 AmericanViolet ]
    [  0.95 Black ]
    [ 0.951 AmericanRose ]
    [     1 AmericanRose ]
}
#declare PigPave99 = pigment {
    function { Fn00(x,y,z) }
    color_map { ColorMap }
}
#declare TxrPave99 = texture { pigment { PigPave99 } }
#declare Iso99 = isosurface {
    function { Fn01(x,y,z) }
    contained_by { box { <-6,-0.1,-6>,<6,0.1,6> } }
    threshold 0
    accuracy 0.0005
    max_gradient 1.5
}
#declare Obj99 = object { Iso99 texture { TxrPave99 } }

//--- scene ---
    camera { Camera00 }
    light_source { Light00 }
//  camera { Camera01y }
    object { CylinderX }
    object { CylinderY }
    object { CylinderZ }
//  object { Obj00 }
    object { Obj99 }
