// This work is licensed under the Creative Commons Attribution-ShareAlike 4.0
// International Public License.
// Visit https://creativecommons.org/licenses/by-sa/4.0/.
// SPDX-License-Identifier: CC-BY-SA-4.0
//     yuqk radial_00.pov +w1200 +h900  (quick and ugly)
//     yuqk radial_00.pov +w1200 +h900 +a0.05 +am2 +r3 +j5.33 +d +p
#version unofficial 3.8; // yuqk
#if (file_exists("version.inc"))
    #include "version.inc"
#end
#if (!defined(Fork_yuqk))
    #error "This POV-Ray SDL code requires the yuqk fork."
#end
global_settings { assumed_gamma 1 }
#declare Grey50 = srgb <0.5,0.5,0.5>;
background { Grey50 }
#declare Camera00 = camera {
    perspective
    location <3,3,-3.001>
    sky y
    angle 35
    right x*(image_width/image_height)
    look_at <0,0,0>
}
#declare White = srgb <1,1,1>;
#declare Light00 = light_source { <50,150,-250>, White }
#declare Plane00 = plane { y, 0 }
#declare Red = srgb <1,0,0>;
#declare CylinderX = cylinder { -1*x, 1*x, 0.01 pigment { Red } }
#declare Green = srgb <0,1,0>;
#declare CylinderY = cylinder { -1*y, 1*y, 0.01 pigment { Green } }
#declare Blue = srgb <0,0,1>;
#declare CylinderZ = cylinder { -1*z, 1*z, 0.01 pigment { Blue } }
#declare Yellow = srgb <1,1,0>;
#declare Aqua = srgb <0,1,1>;
#declare ColorMap = color_map {
    [ 0 Yellow ]
    [ 1 Aqua ]
}
// Play with the radial pattern
#declare PigRadial = pigment {
    radial 
    frequency 2.5
    color_map { ColorMap }
}
#declare TxtRadial = texture { pigment { PigRadial } }
#declare ObjRadial = object { Plane00 texture { TxtRadial } }

//--- scene ---
    camera { Camera00 }
    light_source { Light00 }
    object { CylinderX }
    object { CylinderY }
    object { CylinderZ }
    object { ObjRadial }
